gnutls_mac_list(3)

NAME
gnutls_mac_list - API function

SYNOPSIS
#include <gnutls/gnutls.h>

const gnutls_mac_algorithm_t * gnutls_mac_list( void);

ARGUMENTS

void

DESCRIPTION
Get a list of hash algorithms for use as MACs. Note that not necessarily all MACs are supported in TLS cipher suites. For example, MD2 is not supported as a cipher suite, but is supported for other purposes (e.g., X.509 signature verification or similar).

RETURNS
Return a zero-terminated list of gnutls_mac_algorithm_t integers indicating the available MACs.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.